(function ($) {
    "use strict";

    // Search space disable
    try {
        document
            .getElementById("offcanvas_search_input")
            .addEventListener("keydown", function (e) {
                if (this.value.length === 0 && e.which === 32) e.preventDefault();
            });
    } catch (error) {
        console.log(error);
    }

})(jQuery);